import json
from pprint import pprint

# Manifest Validator for Kinetica BlackBox Containers
def validate_manifest_bbox(in_manifest):
    assert "name" in in_manifest
    assert "desc" in in_manifest
    assert "functions" in in_manifest
    for f in in_manifest["functions"]:
        assert 'name' in f
        assert 'desc' in f
        assert 'bb_module' in f
        assert 'bb_function' in f
        assert 'input_record_type' in f
        assert 'output_record_type' in f
    return True

# Manifest Validator for Kinetica BYOC (Bring Your Own Container) Ingest Containers
def validate_manifest_byoc(in_manifest):
    assert "name" in in_manifest, pprint(in_manifest)
    assert "desc" in in_manifest, pprint(in_manifest)
    assert "icon_uri" in in_manifest, pprint(in_manifest)
    assert "src_uri" in in_manifest, pprint(in_manifest)
    return True    